/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.product.navigation.personal.menu.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Samuel Trong Tran
 */
@ExtendedObjectClassDefinition(
	category = "users", scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	id = "com.liferay.product.navigation.personal.menu.configuration.PersonalMenuConfiguration",
	localization = "content/Language", name = "personal-menu-configuration-name"
)
@ProviderType
public interface PersonalMenuConfiguration {

	@Meta.AD(
		deflt = "current-site",
		description = "personal-applications-look-and-feel-help",
		name = "personal-applications-look-and-feel",
		optionLabels = {"current-site", "my-dashboard"},
		optionValues = {"current-site", "my-dashboard"}, required = false
	)
	public String personalApplicationsLookAndFeel();

	@Meta.AD(
		deflt = "false", description = "show-in-control-menu-help",
		name = "show-in-control-menu", required = false
	)
	public boolean showInControlMenu();

}